# C++ keywords: typename

From cppreference.com
< cpp‎ | keyword

### Usage

- In a template declaration, typename can be used as an alternative to class to declare type template parameters and template template parameters (since C++17).
- Inside a declaration or a definition of a template, typename can be used to declare that a dependent name is a type.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/keyword/typename&oldid=74129"